- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_randr_get_screen_info_reply_t Struct Reference
[XCB RandR API]

xcb_randr_get_screen_info_reply_t More...

`#include <randr.h>`

## Data Fields
uint8_t | response_type
uint8_t | rotations
uint16_t | sequence
uint32_t | length
xcb_window_t | root
xcb_timestamp_t | timestamp
xcb_timestamp_t | config_timestamp
uint16_t | nSizes
uint16_t | sizeID
uint16_t | rotation
uint16_t | rate
uint16_t | nInfo
uint8_t | pad0 [2]

## Detailed Description

xcb_randr_get_screen_info_reply_t

## Field Documentation

uint8_t xcb_randr_get_screen_info_reply_t::response_type

uint8_t xcb_randr_get_screen_info_reply_t::rotations

uint16_t xcb_randr_get_screen_info_reply_t::sequence

uint32_t xcb_randr_get_screen_info_reply_t::length

xcb_window_t xcb_randr_get_screen_info_reply_t::root

xcb_timestamp_t xcb_randr_get_screen_info_reply_t::timestamp

xcb_timestamp_t xcb_randr_get_screen_info_reply_t::config_timestamp

uint16_t xcb_randr_get_screen_info_reply_t::nSizes

uint16_t xcb_randr_get_screen_info_reply_t::sizeID

uint16_t xcb_randr_get_screen_info_reply_t::rotation

uint16_t xcb_randr_get_screen_info_reply_t::rate

uint16_t xcb_randr_get_screen_info_reply_t::nInfo

uint8_t xcb_randr_get_screen_info_reply_t::pad0[2]

The documentation for this struct was generated from the following file:

- randr.h